Kerbal Space Program - Bug #1309

Flag disappears on return to tracking station
09/25/2013 05:30 PM - ApolloFunghi

Status: Closed Start date: 09/25/2013
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.21.1 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Please see attached quicksave.

I've just planted a flag. There's no obvious sign of any problem, however the debug log has recorded the following;
[WRN 21:47:46.652] [Flag Module]: WARNING - No Colliders detected in range. Flag may be floating

if | now return to the space center and check the tracking station, my flag has gone.

| was also experiencing bug #497 at this location; this may be related.
| tried a few times to reproduce. | get the floating flag warning about one time in three.

debug log;

[LOG 21:47:46.641] flag(Clone) is in atmosphere. Cannot save.

[WRN 21:47:46.642] [FlightPersistence]: Vessel Flag not saved because it wasn't clear to save: NOT_IN_ATMOSPHERE
[LOG 21:47:46.647] Flight State Captured

[LOG 21:47:46.648] Saving Achievements Tree...

[LOG 21:47:46.649] Saving Achievements Tree...

[WRN 21:47:46.652] [Flag Module]: WARNING - No Colliders detected in range. Flag may be floating

[EXC 21:47:46.654] NullReferenceException: Object reference not set to an instance of an object

...(likely not relevant stuff about pausing/quicksaving/sounds)...

[LOG 21:56:05.245] flag(Clone) is in atmosphere. Cannot save.

[WRN 21:56:05.247] [FlightPersistence]: Vessel | am a flag not saved because it wasn't clear to save: NOT_IN_ATMOSPHERE

| had the same happen with a flag on the Mun. In that case the log was;

[WRN 01:44:47.425] [Flag Module]: WARNING - No Colliders detected in range. Flag may be floating
[EXC 01:44:47.428] NullReferenceException: Object reference not set to an instance of an object
[LOG 01:46:14.252] Active Vessel is about to crash. Cannot save

[LOG 01:46:16.734] [00:02:27]: Jebediah Kerman boarded Command Pod Mk1 on Land on Mun.
[LOG 01:46:16.735] [FLIGHT GLOBALS]: Switching To Vessel Land on Mun -------------=--------
...(saving/switching camera/blahblahblah)...

[LOG 01:47:28.019] Landed on the Mun Unloaded

[LOG 01:47:28.020] Packing Landed on the Mun for orbit

[WRN 01:47:28.056] Vessel Landed on the Mun crashed through terrain on the Mun

Again, | didn't find out it was gone until | checked back at the tracking station, but it looks like it was destroyed as soon as | moved
out of physics range.

KSP 0.21.1 unmodded

History

#1 - 07/27/2015 06:05 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 07/17/2016 09:33 AM - TriggerAu

- Status changed from New to Needs Clarification
https://bugs.kerbalspaceprogram.com/issues/497

#3 - 08/07/2016 12:08 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
